Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Class LogicalPredicateType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.ebxml._2._1.query.LogicalPredicateType

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class LogicalPredicateType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Logical Predicate Type', and utility methods for working with them.

See Also:
  `QueryPackage.getLogicalPredicateType()`

Field Summary
`static int` | `EQ` The 'EQ' literal value.
`static LogicalPredicateType` | `EQ_LITERAL` The 'EQ' literal object.
`static int` | `GE` The 'GE' literal value.
`static LogicalPredicateType` | `GE_LITERAL` The 'GE' literal object.
`static int` | `GT` The 'GT' literal value.
`static LogicalPredicateType` | `GT_LITERAL` The 'GT' literal object.
`static int` | `LE` The 'LE' literal value.
`static LogicalPredicateType` | `LE_LITERAL` The 'LE' literal object.
`static int` | `LT` The 'LT' literal value.
`static LogicalPredicateType` | `LT_LITERAL` The 'LT' literal object.
`static int` | `NE` The 'NE' literal value.
`static LogicalPredicateType` | `NE_LITERAL` The 'NE' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Logical Predicate Type' enumerators.

Method Summary
`static LogicalPredicateType` | `get(int value)` Returns the 'Logical Predicate Type' literal with the specified integer value.
`static LogicalPredicateType` | `get(java.lang.String literal)` Returns the 'Logical Predicate Type' literal with the specified literal value.
`static LogicalPredicateType` | `getByName(java.lang.String name)` Returns the 'Logical Predicate Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LE

    public static final int LE

  The 'LE' literal value.

  If the meaning of 'LE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LE_LITERAL`, Constant Field Values

### LT

    public static final int LT

  The 'LT' literal value.

  If the meaning of 'LT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LT_LITERAL`, Constant Field Values

### GE

    public static final int GE

  The 'GE' literal value.

  If the meaning of 'GE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GE_LITERAL`, Constant Field Values

### GT

    public static final int GT

  The 'GT' literal value.

  If the meaning of 'GT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GT_LITERAL`, Constant Field Values

### EQ

    public static final int EQ

  The 'EQ' literal value.

  If the meaning of 'EQ' literal object isn't clear, there really should be more of a description here...

  See Also:
    `EQ_LITERAL`, Constant Field Values

### NE

    public static final int NE

  The 'NE' literal value.

  If the meaning of 'NE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NE_LITERAL`, Constant Field Values

### LE_LITERAL

    public static final LogicalPredicateType LE_LITERAL

  The 'LE' literal object.

  See Also:
    `LE`

### LT_LITERAL

    public static final LogicalPredicateType LT_LITERAL

  The 'LT' literal object.

  See Also:
    `LT`

### GE_LITERAL

    public static final LogicalPredicateType GE_LITERAL

  The 'GE' literal object.

  See Also:
    `GE`

### GT_LITERAL

    public static final LogicalPredicateType GT_LITERAL

  The 'GT' literal object.

  See Also:
    `GT`

### EQ_LITERAL

    public static final LogicalPredicateType EQ_LITERAL

  The 'EQ' literal object.

  See Also:
    `EQ`

### NE_LITERAL

    public static final LogicalPredicateType NE_LITERAL

  The 'NE' literal object.

  See Also:
    `NE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Logical Predicate Type' enumerators.

Method Detail

### get

    public static LogicalPredicateType get(java.lang.String literal)

  Returns the 'Logical Predicate Type' literal with the specified literal value.

### getByName

    public static LogicalPredicateType getByName(java.lang.String name)

  Returns the 'Logical Predicate Type' literal with the specified name.

### get

    public static LogicalPredicateType get(int value)

  Returns the 'Logical Predicate Type' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD